This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1247061 - VMware provider events not being processed by control
VMware provider events not being processed by control
Status: CLOSED WORKSFORME
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Lucy Fu
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 05:08 EDT by ncatling
Modified: 2015-11-11 15:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 11:51:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evm.log snippet (20.13 KB, text/plain)
2015-07-27 05:08 EDT, ncatling
no flags Details
policy examples (2.14 KB, application/zip)
2015-07-27 05:09 EDT, ncatling
no flags Details

  None (edit)
Description ncatling 2015-07-27 05:08:00 EDT
Created attachment 1056526 [details]
evm.log snippet

Description of problem:
VMware events are not being processed/detected by control policies.

Version-Release number of selected component (if applicable):
CFME 5.4.0

How reproducible:
Assign provider event policy to VMware provider (examples attached). Create event directly in VMware vCenter, for example power off a VM. Control policy is not triggered.

Steps to Reproduce:
1. Import\assign policy to VMware (attached)
2. Create event directly in VMware (for example power off a machine)
3. Monitor policy.log (no updates detected)

Actual results:
Control policy not triggered.

Expected results:
Control policy should be triggered.

Additional info:
evm.log attached indicates event catcher is detecting the event correctly, however it is not being passed/detected by control.
Comment 1 ncatling 2015-07-27 05:09:31 EDT
Created attachment 1056527 [details]
policy examples
Comment 3 Greg McCullough 2015-07-27 10:06:09 EDT
Lucy - Please take a look at this and let me know if you need any help.  I was playing with events/policies against VMware last week and did not experience the reported issues so I am thinking it is a configuration issues somewhere.

ncatling@redhat.com - Do you still have the environment configured and can we connect to it?

Note You need to log in before you can comment on or make changes to this bug.